Subject: [PATCH 2/3] ARM: smp_scu: enable SCU standby support

From: [email-masked] (Shawn Guo)
Date: Tue, 22 Jul 2014 10:09:12 +0800

On Mon, Jul 21, 2014 at 11:26:38AM +0100, Catalin Marinas wrote:
> The usual question - could the firmware enable this bit before Linux
> starts?

It could, I guess.  Actually, on i.MX we're setting this bit in platform
code right now.  But I think setting this bit makes sense for most of
the platforms, so it can reasonably be done in SCU core function.  Isn't
it the point of having core/common function after all?

> We already do a read/modify/write sequence here and are only
> supposed to write the enable bit as the rest are implementation defined.

Isn't standby bit implemented by all A9 SCU except a couple of very
early revisions (per Will)?

Shawn